EDIT - bug #6190

remove svn property place holder in first line of code
11/09/2016 11:33 AM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Priority14 Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdmlib Estimated time: 0:00 hour
Target version: Release 4.5

Severity: normal Found in Version:

Description

The first line of almost each java code file is a special place holder '// $1d$' which was meant to be replaced by the svn revision
number.
This is no longer useful and should be removed.

The removal of the lines in question has been done with the following scripts:
code-cleanup.sh
#!/bin/bash

TMPF=cleanup.tmp
FILE_PATTERN="*.,java" # inc|module|install|php|info)"
TARGED_FOLDER=S$1

find $1 -type f -name "SFILE_PATTERN" -not -path '*/.*' -exec bash -c './svn-prop-remove.awk $1 >
cleanup.tmp && mv cleanup.tmp $1' - {} \;

svn-prop-remove.awk

#!/usr/bin/awk -f
BEGIN {

}
NR==1 && $0 !~ /~\/\/ \$Id/ {print $0}
NR>1 {print $0}
Revision eb291d61 - 12/20/2016 02:29 PM - Andreas Kohlbecker
Revision e15d2c8e - 12/20/2016 02:29 PM - Andreas Kohlbecker
History

#1 - 11/09/2016 11:33 AM - Andreas Kohlbecker

- Subject changed from remove svn property placehoder in first line of code to remove svn property place holder in first line of code

#2 - 11/25/2016 08:05 PM - Andreas Miiller

This can now be done automatically as model changes are fully merged into develop now.

#3 - 12/20/2016 02:34 PM - Andreas Kohlbecker
- Description updated

- Status changed from New to Closed

#4 - 12/20/2016 02:35 PM - Andreas Kohlbecker

- Description updated

#5 - 12/20/2016 02:35 PM - Andreas Kohlbecker

- Description updated

#6 - 12/20/2016 02:35 PM - Andreas Kohlbecker
- % Done changed from 0 to 100
